#!/usr/bin/perl

use strict;
use FDN::Web::Array;
use FDN::Adsl::Adhs;
use FDN::Adsl::Basic;

prepare_page_adh();
my $page = '';
my $cid = $sess->{content}->{cid};
my $c = client_par_id($cid);
my $addr = adresse_par_id($c->{'ADRESSE_ID'});
my $p = prelevemt_par_id($c->{'PRELEVEMT_ID'});

my $souscription = "<a href=\"../souscription/souscription.cgi".
			"?numadh=".$c->{'CLIENT_NUMADH'}.
			"&nomdflt=".$c->{'CLIENT_NOM'}.
			"&email=".$addr->{'ADRESSE_MAIL'}.
			"&pgp=".$addr->{'ADRESSE_PGP'}.
			"&nombq=".$p->{'PRELEVEMT_DOMICIL'}.
			"&bic=".$p->{'PRELEVEMT_BIC'}.
			"&iban=".$p->{'PRELEVEMT_IBAN'}.
			"&tarif=".$c->{'CLIENT_TYPE'};


my @ligs = ligne_par_client_id($cid);
@ligs = sort { $a->{'LIGNE_ID'} <=> $b->{'LIGNE_ID'} } @ligs;
for my $l ( @ligs ) {
	$page .= tableau_1d('adsl/adhs/rewrite.tbl','ligne',$l,'Ligne '.$l->{'LIGNE_TEL'});
	my $p = prix_par_id($l->{'PRIX_ID'});
	$page .= tableau_1d('adsl/adhs/rewrite.tbl','prix',$p,'');
	my $a = adresse_par_id($l->{'ADRESSE_ID'});
	$page .= tableau_1d('adsl/adhs/rewrite.tbl','adresse',$a,'');
	my @rus = raduser_par_ligne_id($l->{'LIGNE_ID'});
	for my $r (@rus) {
		$page .= tableau_1d('adsl/adhs/rewrite.tbl','raduser',$r,'');
	}
	if ($l->{'LIGNE_STATE'} eq 'ok') {
		if ($l->{'LIGNE_OPT'} =~ 'Liazo') {
			$page .=      '<a href="adh-testadsl.cgi?sess=%%sess%%&lid='.$l->{'LIGNE_ID'}.'&type=0">Diagnostique global de la ligne</a>';
			$page .= '<br/><a href="adh-testadsl.cgi?sess=%%sess%%&lid='.$l->{'LIGNE_ID'}.'&type=1">Test DSLAM simple de la ligne</a>';
			$page .= '<br/><a href="adh-testadsl.cgi?sess=%%sess%%&lid='.$l->{'LIGNE_ID'}.'&type=2">Test DSLAM BitStream de la ligne</a>';
			$page .= '<br/><a href="adh-testadsl.cgi?sess=%%sess%%&lid='.$l->{'LIGNE_ID'}.'&type=3">Test BAS de la ligne</a>';
			$page .= '<br/><a href="adh-testadsl.cgi?sess=%%sess%%&lid='.$l->{'LIGNE_ID'}.'&type=4">Test de Ligne</a>';
			$page .= '<br/><a href="adh-resetadsl.cgi?sess=%%sess%%&lid='.$l->{'LIGNE_ID'}.'">Reset du port DSLAM (limit pour tout FDN  5 par jour et un par minute)</a>';
		}
		$page .= '<br/><a href="adh-chadsl.cgi?sess=%%sess%%&lid='.$l->{'LIGNE_ID'}.'">Changer le dbit ou l'."'".'option</a>';
	}
	my $tel = $l->{'LIGNE_TEL'};
	if ($c->{'CLIENT_NUMADH'} != -1) {
		if ($tel =~ /^[0-9]{10}$/) {
			$page .= "<p>".$souscription.
				"&tel=FTTH".$tel.
				"&cpdflt=".$a->{ADRESSE_CP}.
				"\">souscrire une nouvelle ligne fibre FTTH  la mme adresse</a>.</p>";
		}
	}
}

if ( $#ligs == -1 ) {
	$page .= "<p>Vous n'avez pas souscrit d'abonnement ADSL/FTTH FDN</p>";
}

$page .= '<p>Pour la configuration, voir sur la <a href="https://git.fdn.fr/fdn-public/wiki/-/blob/master/support/faq/pas_de_connexion.md">page de wiki configuration et dpannage ADSL</a></p>';

$page .= "<p>Cette page ne prsente que les abonnements ADSL/FTTH, pas les autres abonnements.".
	 "</p>";
if ($c->{'CLIENT_NUMADH'} != -1) {
	$page .= "<p>".$souscription.
		"\">souscrire une nouvelle ligne ADSL/FTTH</a>.</p>";
}
eject_page_adh($page);


