#!/usr/bin/perl

use strict;
use FDN::Web::Array;
use FDN::Adsl::Adhs;
use FDN::Adsl::Basic;

prepare_page_adh();

my $cid = $sess->{content}->{cid};
my $page;

my $fid = $vars->{fact};
my $facture = facture_par_id($fid);
if ( $facture->{'CLIENT_ID'} ne $cid ) {
	eject_page_adh('Permission denied');
	exit(0);
}

my @crs = creance_par_facture_id($fid);
$page = tableau_2d('adsl/adhs/rewrite.tbl','creance',\@crs);

eject_page_adh($page);

