#!/usr/bin/perl

use strict;
use FDN::Web::Array;
use FDN::Adsl::Adhs;
use FDN::Adsl::Basic;

prepare_page_adh();
my $page = '';
my $cid = $sess->{content}->{cid};

$page .= "<p>Cette page ne prsente que les prlvement bancaires effectus ".
	 "aprs Aot 2005.</p>";

my @prls;
my @lines;

@prls = prllig_par_client_id($cid);
@prls = sort { $a->{PRLBQ_ID} <=> $b->{PRLBQ_ID} } @prls;
@lines = ();
for my $p ( @prls ) {
	my $tmp = prlbq_par_id($p->{'PRLBQ_ID'});
	$tmp = { %$tmp, %$p };
	push @lines, $tmp;
}
$page .= tableau_2d('adsl/adhs/rewrite.tbl','prllig',\@lines,"Prlvements");

@prls = prlligsepa_par_client_id($cid);
@prls = sort { $a->{PRLBQ_ID} <=> $b->{PRLBQ_ID} } @prls;
@lines = ();
for my $p ( @prls ) {
	my $tmp = prlbq_par_id($p->{'PRLBQ_ID'});
	$tmp = { %$tmp, %$p };
	push @lines, $tmp;
}

$page .= tableau_2d('adsl/adhs/rewrite.tbl','prlligsepa',\@lines,"");

if ( $#lines == -1 ) {
	$page .= "<p>Vous n'avez jamais t prlev en SEPA sur votre compte bancaire. Ce n'est normalement".
		 "le cas que pour les adhrents qui n'ont aucune abonnement et dont la cotisation annuelle n'est".
		 "pas encore arrive  renouvellement.</p>";
}

eject_page_adh($page);


