#!/usr/bin/perl

use strict;
use FDN::Common::Config;
use FDN::Common::Logger;
use FDN::Web::Array;
use FDN::Adsl::Adhs;
use FDN::Adsl::Basic;
use FDN::Adsl::Utils;

prepare_page_adh();
my $page = '';
my $cid = $sess->{content}->{cid};
my $users = $sess->{content}->{users};

my $file  = $vars->{'file'};

my $found = 0;
if ( $file eq 'speciaux/connexions.rrd' ||
     $file eq 'speciaux/connexions-vpn.rrd' ||
     $file eq 'speciaux/lns01.rrd' ||
     $file eq 'speciaux/lns01.liazo.rrd' ||
     $file eq 'speciaux/lns01-fai-locaux.rrd' ||
     $file eq 'speciaux/lns02.rrd' ||
     $file eq 'speciaux/lns02.liazo.rrd' ||
     $file eq 'speciaux/lns02-fai-locaux.rrd' ||
     $file eq 'speciaux/lns11.rrd' ||
     $file eq 'speciaux/lns11.liazo.rrd' ||
     $file eq 'speciaux/lns11-fai-locaux.rrd' ||
     $file eq 'speciaux/lns22.rrd' ||
     $file eq 'speciaux/lns22.liazo.rrd' ||
     $file eq 'speciaux/lns22-fai-locaux.rrd' ||
     $file eq 'speciaux/vpn1.rrd' ||
     $file eq 'speciaux/vpn2.rrd' ||
     $file eq 'speciaux/vpn3.rrd' ||
     $file eq 'speciaux/option0.rrd' ||
     $file eq 'speciaux/option1.rrd' ||
     $file eq 'speciaux/option3.rrd' ||
     $file eq 'speciaux/option5.rrd' ||
     $file eq 'speciaux/nerim-ADSL.rrd' ||
     $file eq 'speciaux/liazo-ADSL.rrd' ||
     $file eq 'speciaux/connexions-ADSL.rrd' ||
     $file eq 'speciaux/connexions-nerim-ADSL.rrd' ||
     $file eq 'speciaux/connexions-liazo-ADSL.rrd' ||
     $file eq 'speciaux/liazo-VDSL.rrd' ||
     $file eq 'speciaux/connexions-liazo-VDSL.rrd' ||
     $file eq 'speciaux/liazo-FTTH.rrd' ||
     $file eq 'speciaux/connexions-liazo-FTTH.rrd') {
	$found = 1;
}

my $login = $file;
$login =~ s/\.rrd$//;
if ( $users->{$login} ) {	
	$found = 1;
}

if ( ! $found ) {
	error "Acces refus  $file.";
	eject_page_adh("File not found: $file");
	exit(0);
}

print "Content-Type: application/octet-stream\n".
      "Content-Disposition: inline; filename=\"$login.rrd\"\n\n";

open FILE, "/var/lib/rrd/$login.rrd";
print <FILE>;
close FILE;
