#!/usr/bin/perl

use strict;
use FDN::Common::Config;
use FDN::Web::Array;
use FDN::Adsl::Adhs;
use FDN::Adsl::Basic;
use FDN::Adsl::Utils;

prepare_page_adh();
my $page = '';
my $cid = $sess->{content}->{cid};

my $factnum = $vars->{fact};
my $fact = facture_par_num($factnum);
if ( $fact->{'CLIENT_ID'} ne $cid ) {
        eject_page_adh('Permission denied');
        exit(0);
}

my $bid = $fact->{'PRLBQ_ID'};
my $pbq = prlbq_par_id($bid);

my $dir = Config_Key('adsl/global.cfg','dirs','stockpdf');
my $file = $dir.'/factures/fact-'.$fact->{'FACTURE_NUM'}.'.pdf';
if ( ! -f $file ) {
        eject_page_adh("File not found: $file");
} else {
        send_pdf_file($file);
}
